#ifndef LIBME9000MIO_ERROR_H
#define LIBME9000MIO_ERROR_H

#define ERROR_NO_MIN						0
#define ERROR_NO_MAX						(ERROR_NO_MIN + 12)

#define ERROR_STR_SUCCESS					"Success"
#define ERROR_NO_SUCCESS					(ERROR_NO_MIN + 0)

#define ERROR_STR_UNSPECIFIED				"Unspecified error occured"
#define ERROR_NO_UNSPECIFIED				(ERROR_NO_MIN + 1)

#define ERROR_STR_INVALID_BOARD				"Invalid board number specified"
#define ERROR_NO_INVALID_BOARD				(ERROR_NO_MIN + 2)

#define ERROR_STR_NOT_OPEN					"Device is not open"
#define ERROR_NO_NOT_OPEN					(ERROR_NO_MIN + 3)

#define ERROR_STR_INVALID_CHANNEL			"Invalid channel number specified"
#define ERROR_NO_INVALID_CHANNEL			(ERROR_NO_MIN + 4)

#define ERROR_STR_INVALID_BIT				"Invalid bit specified"
#define ERROR_NO_INVALID_BIT				(ERROR_NO_MIN + 5)

#define ERROR_STR_INVALID_COUNTER			"Invalid counter specified"
#define ERROR_NO_INVALID_COUNTER			(ERROR_NO_MIN + 6)

#define ERROR_STR_INVALID_COUNTER_MODE		"Invalid counter mode specified"
#define ERROR_NO_INVALID_COUNTER_MODE		(ERROR_NO_MIN + 7)

#define ERROR_STR_BUSY						"Device is already in use"
#define ERROR_NO_BUSY						(ERROR_NO_MIN + 8)

#define ERROR_STR_INVALID_OUTPUT_MODE		"Invalid ouput mode specified"
#define ERROR_NO_INVALID_OUTPUT_MODE		(ERROR_NO_MIN + 9)

#define ERROR_STR_INVALID_ERROR_NO			"Invalid error number specified"
#define ERROR_NO_INVALID_ERROR_NO			(ERROR_NO_MIN + 10)

#define ERROR_STR_ERROR_BUFFER_TO_LITTLE	"Buffer for error string to little"
#define ERROR_NO_ERROR_BUFFER_TO_LITTLE		(ERROR_NO_MIN + 11)

#define ERROR_STR_SYSTEM					"System error in libme9000mio.so occured"
#define ERROR_NO_SYSTEM						(ERROR_NO_MIN + 12)

#endif
